package main

import (
	"gitlab.okta-solutions.com/mashroom/backend/common/generic/addr"
	"gitlab.okta-solutions.com/mashroom/backend/invitation/impl"
)

func main() {
	repo, err := impl.NewRepo()
	if err != nil {
		panic(err)
	}
	defer repo.Close()
	server := impl.NewServer(repo)
	server.Serve(addr.Grpc)
}
