//go:generate go mod vendor
//go:generate protoc --go_out=plugins=grpc,paths=source_relative:. -I .:vendor/gitlab.okta-solutions.com/mashroom/backend mashroom_invitation.proto
//go:generate rm -r vendor
//go:generate go fmt ./...
//go:generate go fix ./...

package invitation // import "gitlab.okta-solutions.com/mashroom/backend/invitation/api"

import (
	// generic proto
	_ "gitlab.okta-solutions.com/mashroom/backend/common/api/generic"
	_ "gitlab.okta-solutions.com/mashroom/backend/common/api/generic/query"
	_ "gitlab.okta-solutions.com/mashroom/backend/common/api/protobuf"
)
